Bug 1186826 - Review Request: python-oslo-concurrency - oslo.concurrency library
Summary: Review Request: python-oslo-concurrency - oslo.concurrency library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-28 15:50 UTC by Matthias Runge
Modified: 2015-03-04 08:34 UTC (History)
2 users (show)

Fixed In Version: python-oslo-concurrency-1.4.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-15 03:23:18 UTC
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Runge 2015-01-28 15:50:35 UTC
Spec URL: http://www.matthias-runge.de/fedora/python-oslo-concurrency.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-oslo-concurrency-1.4.1-1.fc21.src.rpm
Description: Oslo concurrency library has utilities for safely running multi-thread,
multi-process applications using locking mechanisms and for running
external processes.
Fedora Account System Username: mrunge

Comment 1 Florian "der-flo" Lehner 2015-01-28 17:20:42 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     2 files have unknown license.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python2.7/site-
     packages/oslo(python-oslo-vmware, python-oslo-messaging, python-oslo-
     i18n, python-oslo-sphinx, python-oslo-rootwrap, python-oslo-config)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 348160 bytes in 54 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=8754437
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-oslo-concurrency-1.4.1-1.fc22.noarch.rpm
          python-oslo-concurrency-1.4.1-1.fc22.src.rpm
python-oslo-concurrency.noarch: W: summary-not-capitalized C oslo.concurrency library
python-oslo-concurrency.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
python-oslo-concurrency.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-oslo-concurrency/html/_static/jquery.js
python-oslo-concurrency.noarch: W: no-manual-page-for-binary lockutils-wrapper
python-oslo-concurrency.src: W: summary-not-capitalized C oslo.concurrency library
python-oslo-concurrency.src: W: spelling-error %description -l en_US multi -> mulch, mufti
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
python-oslo-concurrency (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)



Provides
--------
python-oslo-concurrency:
    python-oslo-concurrency



Source checksums
----------------
https://pypi.python.org/packages/source/o/oslo.concurrency/oslo.concurrency-1.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : f57188bb51c7931b817ba818440ae72994cf1b8909ba49979536fb1226424aeb
  CHECKSUM(SHA256) upstream package : f57188bb51c7931b817ba818440ae72994cf1b8909ba49979536fb1226424aeb


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1186826
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====
      APPROVED

Comment 2 Matthias Runge 2015-01-29 08:09:38 UTC
Thank you for the quick review!

New Package SCM Request
=======================
Package Name: python-oslo-concurrency
Short Description: oslo.concurrency library
Upstream URL: http://launchpad.net/oslo
Owners: mrunge
Branches: f21 epel7

Comment 3 Gwyn Ciesla 2015-01-29 14:38:44 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-02-02 10:31:57 UTC
python-oslo-concurrency-1.4.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-oslo-concurrency-1.4.1-1.el7

Comment 5 Fedora Update System 2015-02-02 10:32:25 UTC
python-oslo-concurrency-1.4.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-oslo-concurrency-1.4.1-1.fc21

Comment 6 Fedora Update System 2015-02-02 17:06:03 UTC
python-oslo-concurrency-1.4.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 7 Fedora Update System 2015-02-15 03:23:18 UTC
python-oslo-concurrency-1.4.1-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 8 Fedora Update System 2015-03-04 08:34:51 UTC
python-oslo-concurrency-1.4.1-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-oslo-concurrency-1.4.1-2.el7


Note You need to log in before you can comment on or make changes to this bug.